#include "display_balance_2.h"

// Author: Steve Talbot

display_balance_2:: display_balance_2(){
}

display_balance_2:: ~display_balance_2(){
}

bool display_balance_2:: display_balance( Data* data_ ){

	// this method overrides the default method “display_balance()” from the
	// superclass “display_balance_1” ..

	AccountInfo* accountInfo = data_->getCurrentAccountInfo();

	int id = accountInfo->getID();

	int balance = accountInfo->getB();

	cout << "Current account balance(id: "<< id <<"): " << balance << endl;

	return true;


}
